.popup-visible .popup-overlay{
	opacity: 0.8;

	pointer-events: auto;
}

.popup-overlay{
	position: fixed;
	pointer-events: none;
	inset: 0;
	opacity: 0;
	background-color: #464646ff;
	backdrop-filter: blur(12px);
	display: flex;
	justify-content: center;
	align-items: center;
	transition: opacity 0.3s ease-in-out;
}

.popup-body{
	width: 50%;
	height: 400px;
	background-color: rgb(241, 241, 165);

	.popup-close-button{
		position: relative;
		top: 0;
		right: 0;
		width: 16px;
		height: 16px;
		display: flex;
		justify-content: center;
		align-items: center;

		&::before,
		&::after {
			content: "";
			position: absolute;
			background-color: black;
			width: 100%;
			height: 2px;
		}

		&::before {
			rotate: 45deg;
		}

		&::after {
			rotate: -45deg;
		}
	}
}
